/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.test.metadata.context.cache.test;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * CacheContextTestSuite.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @author <a href="ales.justin@jboss.com">Ales Justin</a>
 * @version $Revision: 75435 $
 */
public class CacheContextTestSuite extends TestSuite
{
   public static void main(String[] args)
   {
      TestRunner.run(suite());
   }

   public static Test suite()
   {
      TestSuite suite = new TestSuite("Cache Context Tests");

      suite.addTest(new TestSuite(CacheContextBasicAnnotationsUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheContextWithFactoryBasicAnnotationsUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheContextWithFactoryBasicAnnotationsUnitTestCase.class));

      suite.addTest(new TestSuite(CacheParentContextBasicAnnotationsUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheParentContextWithFactoryBasicAnnotationsUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheParentContextWithFactoryBasicAnnotationsUnitTestCase.class));

      suite.addTest(new TestSuite(CacheContextBasicMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheContextWithFactoryBasicMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheContextWithFactoryBasicMetaDataUnitTestCase.class));

      suite.addTest(new TestSuite(CacheParentContextBasicMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheParentContextWithFactoryBasicMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheParentContextWithFactoryBasicMetaDataUnitTestCase.class));

      suite.addTest(new TestSuite(CacheMetaDataContextAnnotationUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheMetaDataContextWithFactoryAnnotationUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheMetaDataContextWithFactoryAnnotationUnitTestCase.class));

      suite.addTest(new TestSuite(CacheMetaDataContextMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPCacheMetaDataContextWithFactoryMetaDataUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPCacheMetaDataContextWithFactoryMetaDataUnitTestCase.class));

      suite.addTest(new TestSuite(SimpleCacheMetaDataContextUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPSimpleCacheMetaDataContextWithFactoryUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPSimpleCacheMetaDataContextWithFactoryUnitTestCase.class));

      suite.addTest(new TestSuite(SimpleCacheParentMetaDataContextUnitTestCase.class));
      suite.addTest(new TestSuite(LRUCPSimpleCacheParentMetaDataContextWithFactoryUnitTestCase.class));
      suite.addTest(new TestSuite(TimedCPSimpleCacheParentMetaDataContextWithFactoryUnitTestCase.class));

      return suite;
   }
}
